Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## j3deditor.bin.hierarchy.util
Enum HNodeType

    java.lang.Object
      java.lang.Enum<HNodeType>
          j3deditor.bin.hierarchy.util.HNodeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HNodeType>

    public enum HNodeType

extends java.lang.Enum<HNodeType>

Determines the type of the `HierarchyNode` object.

Author:
  Risto Seene

Enum Constant Summary
`APPEARANCE` `J3DeAppearance`
`CAMERA` `J3DeCamera`
`IMAGE_COMPONENT` `J3DeImageComponent`
`LIGHT` `J3DeLight`
`MATERIAL` `J3DeMaterial`
`OBJECT` `J3DeObject`
`PRIMITIVE` `J3DePrimitive`
`ROOT` `HierarchyManager`
`SCENE` `J3DeScene`
`SHAPE3D` `J3DeShape3D`
`TEXTURE` `J3DeTexture`
`TEXTURE_ATTRIBUTES` `J3DeTextureAttributes`

Method Summary
`static HNodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROOT

    public static final HNodeType ROOT

  `HierarchyManager`

### SCENE

    public static final HNodeType SCENE

  `J3DeScene`

### CAMERA

    public static final HNodeType CAMERA

  `J3DeCamera`

### LIGHT

    public static final HNodeType LIGHT

  `J3DeLight`

### OBJECT

    public static final HNodeType OBJECT

  `J3DeObject`

### SHAPE3D

    public static final HNodeType SHAPE3D

  `J3DeShape3D`

### PRIMITIVE

    public static final HNodeType PRIMITIVE

  `J3DePrimitive`

### APPEARANCE

    public static final HNodeType APPEARANCE

  `J3DeAppearance`

### MATERIAL

    public static final HNodeType MATERIAL

  `J3DeMaterial`

### TEXTURE

    public static final HNodeType TEXTURE

  `J3DeTexture`

### TEXTURE_ATTRIBUTES

    public static final HNodeType TEXTURE_ATTRIBUTES

  `J3DeTextureAttributes`

### IMAGE_COMPONENT

    public static final HNodeType IMAGE_COMPONENT

  `J3DeImageComponent`

Method Detail

### values

    public static HNodeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HNodeType c : HNodeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HNodeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD